# Uses of Class
org.eclipse.ltk.core.refactoring.participants.RenameArguments

Packages that use RenameArguments
Package
Description
org.eclipse.ltk.core.refactoring.participants
Application programming interface to participant in existing rename, move and delete refactorings if the refactoring provider supports participation.

## Uses of RenameArguments in org.eclipse.ltk.core.refactoring.participants

Methods in org.eclipse.ltk.core.refactoring.participants that return RenameArguments
Modifier and Type
Method
Description
`RenameArguments`
RenameParticipant.`getArguments()`
Returns the rename arguments.
Methods in org.eclipse.ltk.core.refactoring.participants with parameters of type RenameArguments
Modifier and Type
Method
Description
`static RenameParticipant[]`
ParticipantManager.`loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, String[] affectedNatures, SharableParticipants shared)`
Loads the rename participants for the given element.
`static RenameParticipant[]`
ParticipantManager.`loadRenameParticipants(RefactoringStatus status, RefactoringProcessor processor, Object element, RenameArguments arguments, IParticipantDescriptorFilter filter, String[] affectedNatures, SharableParticipants shared)`
Loads the rename participants for the given element.